System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Security.Cryptography.Xml.KeyInfoClause

The class represents the <KeyInfo> element, which contains a public key.

Use to identify the public key that corresponds to the private key that was used to create the digital signature.

If a key is not explicitly supplied to the constructor, a new key pair is randomly generated.

The class is used with XML signatures. For more information about the W3C specification, see http://www.w3.org/TR/xmldsig-core/.

Represents the private key of the <KeyInfo> element.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  When creating a new key, this constructor uses the default implementation of as defined by the class.

  Initializes a new instance of the class with a new, randomly-generated public key.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified public key.

  The instance of an implementation of the class that holds the public key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  Use this method to output XML for a object.

  Returns the XML representation of a element.

  The XML representation of the element.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.DSA a

  This property represents the DSA key used to sign the XML.

  Gets or sets the key value represented by a object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method can be used to add XML elements to a object.

  Loads a state from an XML element.

  The XML element to load the state from.